# LSB Compliant packages require the following in ~/.rpmmacros
#%_binary_payload	w9.gzdio

Summary: LSB Distribution Testkit
Name: lsb-dtk-manager
Vendor: ISPRAS
Version: 1.0.3
# rel is passed in from Makefile so we only have to set the buildno one place
Release: %{rel}
Source: %{name}-%{version}.src.tgz  
License: GPL
URL: http://www.freestandards.org/en/Downloads
Group: Development/Tools
Buildroot: %{_builddir}/%{name}-root 
AutoReqProv: no

%description
LSB Distribution Testkit wraps all the current LSB test suites into a
user-friendly "single LSB test suite" with unified test management and
analysis capabilities. This facilitates test execution and results analysis
thus making the LSB tests more attractive for upstream developers as well as
making certification process technically more inviting.

%prep
if [ ! -x /opt/lsb/bin/lsbcc ] ; then
    printf "lsbcc not found, required for compilation, aborting\n"
    exit 1
fi

%setup

%build
export CC=/opt/lsb/bin/lsbcc
#export CFLAGS=-fno-stack-protector
cd autotest && make clean && make && make clean

%install

rm -rf $RPM_BUILD_ROOT/opt/lsb/test/manager
mkdir -p $RPM_BUILD_ROOT/opt/lsb/test/manager
cp -r autotest-ext webui bin $RPM_BUILD_ROOT/opt/lsb/test/manager
cp -r LICENSE README $RPM_BUILD_ROOT/opt/lsb/test/manager
mkdir -p $RPM_BUILD_ROOT/opt/lsb/test/manager/autotest
cd  autotest
cp -r AUTHORS CHANGELOG LICENSE lsb-autotest lsb-autotest-reporter \
	README VERSION $RPM_BUILD_ROOT/opt/lsb/test/manager/autotest
cd ..

%files
%defattr(-,root,root)
/opt/lsb/test/manager
%doc /opt/lsb/test/manager/README

%clean
if [ -e "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]; then 
    rm -rf ${RPM_BUILD_ROOT}
fi
